package com.mortals.xhx.module.face.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.face.model.FacePlanEntity;
import com.mortals.xhx.module.face.service.FacePlanService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 人员识别计划信息
*
* @author zxfei
* @date 2023-04-15
*/
@RestController
@RequestMapping("face/plan")
public class FacePlanController extends BaseCRUDJsonBodyMappingController<FacePlanService,FacePlanEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FacePlanController(){
        super.setModuleDesc( "人员识别计划信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "recognitionPlanType", paramService.getParamBySecondOrganize("FacePlan","recognitionPlanType"));
        super.init(model, context);
    }


}